Package org.h2gis.functions.spatial.convert

## Enum ST_GoogleMapLink.LayerType

- java.lang.Object
- - java.lang.Enum<ST_GoogleMapLink.LayerType>
  - - org.h2gis.functions.spatial.convert.ST_GoogleMapLink.LayerType

All Implemented Interfaces:
  `Serializable`, `Comparable<ST_GoogleMapLink.LayerType>`

Enclosing class:
  ST_GoogleMapLink

    public static enum ST_GoogleMapLink.LayerType
    extends Enum<ST_GoogleMapLink.LayerType>

List of supported layers for Google Map

### Enum Constant Summary

Enum Constants
`h`
`k`
`m`
`p`

### Method Summary

All Methods Static Methods Concrete Methods
`static ST_GoogleMapLink.LayerType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ST_GoogleMapLink.LayerType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### m

    public static final ST_GoogleMapLink.LayerType m

#### k

    public static final ST_GoogleMapLink.LayerType k

#### h

    public static final ST_GoogleMapLink.LayerType h

#### p

    public static final ST_GoogleMapLink.LayerType p

### Method Detail

#### values

    public static ST_GoogleMapLink.LayerType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ST_GoogleMapLink.LayerType c : ST_GoogleMapLink.LayerType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ST_GoogleMapLink.LayerType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null